#!/bin/sh
# ---------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# Copyright IBM Corporation 2017,2018. All Rights Reserved.
#
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp. 
# ---------------------------------------------------------------------
# setTCHConnectorEnvironment.sh
# This script provides a sample for setting the Java Environment 
# for the Signature Generation and Validation Processing
# ---------------------------------------------------------------------
#
mqsichangeproperties <IntegrationNodeName> -e <IntegrationServerName> -o ComIbmJVMManager -n jvmSystemProperty -v "-Dcom.ibm.fxr.keystore=/tmp/ftmip/ks/keystoreSigIBM.jks -Dcom.ibm.fxr.keypass=/tmp/ftmip/ks/keypass.en3 -Dcom.ibm.fxr.privateAlias=ourcertificate -Dcom.ibm.fxr.truststore=/tmp/ftmip/ts/truststore.jks -Dcom.ibm.fxr.trustpass=/tmp/ftmip/ts/trustpass.en3"
#
# com.ibm.fxr.keystore and com.ibm.fxr.keypass are mandatory system properties.
#
# org.apache.xml.security.ignoreLineBreaks has been set to "true" according to TCH 
#            Signature format needs (= Single Line Signatures)
#
# Attention: Make sure the any passwort files contains only the single line passwort in plain text before encrypting it
#            Even the encrypted PW file should be accesible in production environments by the IIB-User only
#
# further (optional properties) include:
#
# com.ibm.fxr.truststore    - truststore file, default: null
# com.ibm.fxr.trustpass     - truststore password file, default: null
#                           - the truststore can accessed without a pw since
#                             only public keys are accessed
# com.ibm.fxr.privateAlias  - alias for signing, default: fxrsiggencert
# com.ibm.fxr.publicAlias   - alias for validating, default: none
#                             if not specified all public keys in the truststore
#                             or loaded and the matching one is assinged dynamically
#
# Check the actived JRE environment parameters
#
mqsireportproperties <IntegrationNodeName> -e <IntegrationServerName> -o ComIbmJVMManager -n jvmSystemProperty
#
#


